#
# spec file for package kwordquiz
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kwordquiz
Version:        16.12.1
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 16.08 in KA, but 16.12.1 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Vocabulary Trainer
License:        GPL-2.0+
Group:          Amusements/Teaching/Language
Url:            http://edu.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcrash-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  knewstuff-devel
BuildRequires:  knotifications-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  libkeduvocdocument-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Widgets)
Obsoletes:      %{name}5 < %{version}
Provides:       %{name}5 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A powerful flashcard and vocabulary learning program.

%prep
%setup -q

%build
%ifarch ppc ppc64
export RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%dir %{_kf5_appstreamdir}
%doc AUTHORS COPYING* README
%doc %lang(en) %{_kf5_htmldir}/en/kwordquiz/
%{_kf5_applicationsdir}/org.kde.kwordquiz.desktop
%{_kf5_appsdir}/kwordquiz/
%{_kf5_bindir}/kwordquiz
%{_kf5_appstreamdir}/org.kde.kwordquiz.appdata.xml
%{_kf5_iconsdir}/hicolor/*/apps/kwordquiz.*
%{_kf5_iconsdir}/hicolor/*/mimetypes/application-x-kwordquiz.png
%{_kf5_configkcfgdir}/
%{_datadir}/knotifications5/
%{_datadir}/kxmlgui5/kwordquiz/
%{_kf5_configdir}/kwordquiz.knsrc

%changelog
